CREATE INDEX emp_sal_ix ON employee(salary);

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

SELECT /*+ QB_NAME(v_main) */
       d.department_id, d.department_name, max_sal
  FROM department d,
       (SELECT /*+ QB_NAME(v_sub) */
                e.department_id, MAX (e.salary) max_sal
          FROM employee e
         GROUP BY e.department_id) e1
 WHERE d.department_id = e1.department_id 
   AND e1.max_sal > 15200;


ALTER SESSION SET EVENTS '10053 trace name context off';

DROP INDEX emp_sal_ix ;