ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

SELECT j.employee_id, e.last_name, j.job_id, j.start_date, e.city, e.department_name
  FROM job_history j,
       (SELECT e.employee_id, e.last_name, d.city, d.department_id, d.department_name
          FROM employee e,
               (SELECT /*+ NO_MERGE */  
                       d.department_id, l.city, d.department_name
                  FROM department d, location l
                 WHERE d.location_id = l.location_id ) d   
   ) e
 WHERE j.employee_id = e.employee_id(+) 
   AND j.department_id = e.department_id(+) ;


ALTER SESSION SET EVENTS '10053 trace name context off';