SELECT /*+ GATHER_PLAN_STATISTICS */
       e.employee_id, e.last_name, e.phone_number, d.city, d.country_name
  FROM employee e,
       (SELECT d.department_id, l.city,  c.country_name
          FROM department d,
               location l,
               (SELECT /*+ NO_MERGE */
                       country_id, country_name
                  FROM country) c
         WHERE d.location_id = l.location_id 
           AND l.country_id = c.country_id(+) ) d 
 WHERE e.department_id = d.department_id(+) 
   AND e.job_id = 'AD_PRES' ;

select * from table(dbms_xplan.display_cursor(null,null,'advanced allstats last'));