ALTER SESSION SET "star_transformation_enabled" = FALSE;

SELECT /*+ GATHER_PLAN_STATISTICS */
       p.prod_id, 
       c.channel_id, 
       SUM (quantity_sold) AS qs,
       SUM (amount_sold) AS amt
  FROM sales s, channels c, products p
 WHERE s.channel_id = c.channel_id
   AND c.channel_desc = 'Internet'
   AND s.prod_id = p.prod_id
   AND p.prod_category_desc = 'Photo'
 GROUP BY p.prod_id, c.channel_id;
 
select * from table(dbms_xplan.display_cursor(null,null,'allstats last')) ;