SELECT p.prod_id, 
       c.channel_id, 
       SUM (quantity_sold) AS qs,
       SUM (amount_sold) AS amt
  FROM sales s, channels c, products p
 WHERE s.channel_id = c.channel_id
   AND c.channel_desc = 'Internet'
   AND s.prod_id = p.prod_id
   AND p.prod_category_desc = 'Photo' 
   AND s.channel_id = ANY (SELECT c1.channel_id
                             FROM sh.channels c1
                            WHERE c1.channel_desc = 'Internet')
   AND s.prod_id = ANY (SELECT p1.prod_id
                          FROM products p1
                         WHERE p1.prod_category_desc = 'Photo')
 GROUP BY p.prod_id, c.channel_id;