CREATE MATERIALIZED VIEW dept_sal
BUILD IMMEDIATE 
REFRESH COMPLETE ON DEMAND      
ENABLE QUERY REWRITE
AS
SELECT a.department_id, b.department_name, SUM (a.salary) salary_sum
  FROM employee a, department b
 WHERE a.department_id = b.department_id
 GROUP BY a.department_id, b.department_name;

CREATE INDEX idx_dept_sal_01 ON dept_sal (department_id);

DBMS_STATS.gather_table_stats (USER, 'DEPT_SAL', CASCADE => TRUE);
