CREATE INDEX emp_job_dept ON employee(job_id, department_id);

ALTER SESSION SET EVENTS '10053 trace name context forever, level 1';

SELECT /*+ QB_NAME(OUTER) LEADING(d) USE_NL(e) */
       d.department_id, d.department_name, e.employee_id, e.job_id, e.email_phone_num
  FROM department d,
       (SELECT /*+ QB_NAME(INNER1) */
               employee_id, department_id, job_id, email AS email_phone_num
          FROM employee
         WHERE job_id = :v_job1          --> 'AD_ASST' 
        UNION
        SELECT /*+ QB_NAME(INNER2) */
               employee_id, department_id, job_id, phone_number AS email_phone_num
          FROM employee
         WHERE job_id = :v_job2   ) e      --> 'AD_PRES'    ) 
 WHERE d.department_id = e.department_id 
   AND d.location_id = 1700;

ALTER SESSION SET EVENTS '10053 trace name context off';

DROP INDEX emp_job_dept;