
                                              
CREATE INDEX ix_cust_birth ON customers (cust_year_of_birth, cust_id); --ε 

SELECT /*+ GATHER_PLAN_STATISTICS INDEX(c IX_CUST_BIRTH) LEADING(c) */
       c.cust_id, c.cust_first_name, c.cust_last_name, s.prod_cnt, s.channel_cnt, s.tot_amt
  FROM customers c,
       (SELECT /*+ NO_PUSH_PRED */s.cust_id, 
               NVL(COUNT (DISTINCT s.prod_id),0) AS prod_cnt,
               NVL(COUNT (DISTINCT s.channel_id),0) AS channel_cnt,
               SUM (s.amount_sold) AS tot_amt
          FROM sales s
         GROUP BY s.cust_id) s
 WHERE c.cust_year_of_birth = 1987 
   AND s.cust_id(+) = c.cust_id
   AND ROWNUM <= 10;


SELECT * FROM 
TABLE(DBMS_XPLAN.DISPLAY_CURSOR(NULL,NULL, 'allstats last')); 


