
                                              
SELECT /*+ GATHER_PLAN_STATISTICS INDEX(c IX_CUST_BIRTH) LEADING(c) */
	     s.cust_id, s.cust_first_name, s.cust_last_name,
       TO_NUMBER (SUBSTR (sales_cust, 1, 20)) prod_cnt,
       TO_NUMBER (SUBSTR (sales_cust, 21, 20)) channel_cnt,
       TO_NUMBER (SUBSTR (sales_cust, 41, 20)) tot_amt
  FROM (SELECT /*+ INDEX(c IX_CUST_BIRTH) NO_MERGE */
               c.cust_id, c.cust_first_name, c.cust_last_name,
               (SELECT    LPAD (COUNT (DISTINCT s.prod_id), 20,'0')
                       || LPAD (COUNT (DISTINCT s.channel_id), 20, '0')
                       || LPAD (SUM (s.amount_sold), 20, '0')
                  FROM sales s
                 WHERE s.cust_id = c.cust_id) AS sales_cust
          FROM customers c
         WHERE c.cust_year_of_birth = 1987 
           AND ROWNUM <= 10) s;



SELECT * FROM 
TABLE(DBMS_XPLAN.DISPLAY_CURSOR(NULL,NULL, 'allstats last')); 


DROP INDEX ix_cust_birth;